Subject: Re: [PATCH net] vsock: lock down child_ns_mode as write-once

From: Jakub Kicinski <[email-masked]>
Date: Wed, 18 Feb 2026 16:41:19 -0800

On Wed, 18 Feb 2026 08:15:38 -0800 Bobby Eshleman wrote:
> > > I'm not sure what the policy is in netdev, but I would prefer to have
> > > selftest changes in another patch (I think earlier in the series so as
> > > not to break the bisection), in order to simplify backporting (e.g. in
> > > CentOS Stream, to keep the backport small, I didn't backport the dozens
> > > of patches for selftest that we did previously).  
> 
> Sounds good! I wasn't sure if breakage so tightly coupled should be in
> the same patch or not, I'm happy to split it up to ease backporting.

FWIW the netdev recommendation is indeed to split the selftests out.
Also to bungle selftest patches with the fix into one series targeting
net, even tho the selftests patches won't have a Fixes tag.